Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.webservice
Class TCPIPWSContainer

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSContainer

Direct Known Subclasses:
  TCPIPEXTWSContainer

    public class TCPIPWSContainer

extends java.lang.Object

This class represents the input/output message container for TCP/IP web services.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/03/03 15:36:01 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `TCPIP_CLIENT_PORT_TYPE`
`static java.lang.String` | `TCPIP_CLIENT_PORT_TYPE_FULLNAME`
`static java.lang.String` | `TCPIP_CLIENT_TNS`
`static java.lang.String` | `TCPIP_SERVER_PORT_TYPE`
`static java.lang.String` | `TCPIP_SERVER_PORT_TYPE_FULLNAME`
`static java.lang.String` | `TCPIP_SERVER_TNS`
`static java.lang.String` | `version`

Constructor Summary
`protected` | `TCPIPWSContainer()` Default Constructor.
`` | `TCPIPWSContainer(java.lang.String containerType)` Constructor.

Method Summary
`java.lang.Object` | `getClientMessage()` Returns the clientMessage.
`java.lang.Object` | `getServerMessage()` Returns the serverMessage.
`boolean` | `isClientContainerType()` Method isClientContainerType.
`boolean` | `isServerContainerType()` Method isServerContainerType.
`void` | `setClientMessage(java.lang.Object clientMessage)` Sets the clientMessage.
`void` | `setServerMessage(java.lang.Object serverMessage)` Sets the serverMessage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### TCPIP_CLIENT_TNS

    public static final java.lang.String TCPIP_CLIENT_TNS

See Also:
  Constant Field Values

### TCPIP_SERVER_TNS

    public static final java.lang.String TCPIP_SERVER_TNS

See Also:
  Constant Field Values

### TCPIP_CLIENT_PORT_TYPE

    public static final java.lang.String TCPIP_CLIENT_PORT_TYPE

See Also:
  Constant Field Values

### TCPIP_SERVER_PORT_TYPE

    public static final java.lang.String TCPIP_SERVER_PORT_TYPE

See Also:
  Constant Field Values

### TCPIP_CLIENT_PORT_TYPE_FULLNAME

    public static final java.lang.String TCPIP_CLIENT_PORT_TYPE_FULLNAME

See Also:
  Constant Field Values

### TCPIP_SERVER_PORT_TYPE_FULLNAME

    public static final java.lang.String TCPIP_SERVER_PORT_TYPE_FULLNAME

See Also:
  Constant Field Values

Constructor Detail

### TCPIPWSContainer

    protected TCPIPWSContainer()

  Default Constructor.

### TCPIPWSContainer

    public TCPIPWSContainer(java.lang.String containerType)
                     throws TCPIPWSException

  Constructor.

  Parameters:
    `containerType` - TCPIP_CLIENT_PORT_TYPE or TCPIP_SERVER_PORT_TYPE
  Throws:
    `TCPIPWSException` - on error

Method Detail

### getClientMessage

    public java.lang.Object getClientMessage()

  Returns the clientMessage.

  Returns:
    Object

### getServerMessage

    public java.lang.Object getServerMessage()

  Returns the serverMessage.

  Returns:
    Object

### setClientMessage

    public void setClientMessage(java.lang.Object clientMessage)
                          throws TCPIPWSException

  Sets the clientMessage.

  Parameters:
    `clientMessage` - The serverMessage to set
  Throws:
    `TCPIPWSException` - on error

### setServerMessage

    public void setServerMessage(java.lang.Object serverMessage)
                          throws TCPIPWSException

  Sets the serverMessage.

  Parameters:
    `serverMessage` - The serverMessage to set
  Throws:
    `TCPIPWSException` - on error

### isServerContainerType

    public boolean isServerContainerType()

  Method isServerContainerType.

  Returns:
    boolean

### isClientContainerType

    public boolean isClientContainerType()

  Method isClientContainerType.

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD